Index: ETSN/MyDFT_9.py
===================================================================
--- ETSN/MyDFT_9.py	(revision 274)
+++ ETSN/MyDFT_9.py	(revision 275)
@@ -128,6 +128,7 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
     a_g.release()
     b_g.release()
     A_g.release()
Index: ETSN/MySteps_0.py
===================================================================
--- ETSN/MySteps_0.py	(revision 274)
+++ ETSN/MySteps_0.py	(revision 275)
@@ -41,6 +41,11 @@
     res_np = np.empty_like(a_np)
     # Copy from Device to Host
     cl.enqueue_copy(queue, res_np, res_g)
+
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
     
     return(res_np)
 
Index: ETSN/MySteps_2.py
===================================================================
--- ETSN/MySteps_2.py	(revision 274)
+++ ETSN/MySteps_2.py	(revision 275)
@@ -74,6 +74,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+
     return(res_np)
 
 # OpenCL complete operation
@@ -150,6 +155,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+
     return(res_np)
 
 import sys
Index: ETSN/MySteps_3.py
===================================================================
--- ETSN/MySteps_3.py	(revision 274)
+++ ETSN/MySteps_3.py	(revision 275)
@@ -96,6 +96,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+
     return(res_np)
 
 # OpenCL complete operation
@@ -172,6 +177,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+    
     return(res_np)
 
 import sys
Index: ETSN/MySteps_4.py
===================================================================
--- ETSN/MySteps_4.py	(revision 274)
+++ ETSN/MySteps_4.py	(revision 275)
@@ -97,6 +97,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+
     return(res_np)
 
 # OpenCL complete operation
@@ -173,6 +178,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+
     return(res_np)
 
 import sys
Index: ETSN/MySteps_5.py
===================================================================
--- ETSN/MySteps_5.py	(revision 274)
+++ ETSN/MySteps_5.py	(revision 275)
@@ -139,6 +139,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+    
     return(res_np)
 
 # OpenCL complete operation
@@ -215,6 +220,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+
     return(res_np)
 
 import sys
Index: ETSN/MySteps_5b.py
===================================================================
--- ETSN/MySteps_5b.py	(revision 274)
+++ ETSN/MySteps_5b.py	(revision 275)
@@ -126,6 +126,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+    
     return(res_np)
 
 # OpenCL complete operation
@@ -202,6 +207,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()    
+    
     return(res_np)
 
 import sys
Index: ETSN/MySteps_5c.py
===================================================================
--- ETSN/MySteps_5c.py	(revision 274)
+++ ETSN/MySteps_5c.py	(revision 275)
@@ -137,6 +137,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+    
     return(res_np)
 
 # OpenCL complete operation
@@ -213,6 +218,11 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    res_g.release()
+    
     return(res_np)
 
 import sys
Index: ETSN/MyDFT_4.py
===================================================================
--- ETSN/MyDFT_4.py	(revision 274)
+++ ETSN/MyDFT_4.py	(revision 275)
@@ -112,6 +112,12 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    A_g.release()
+    B_g.release()
+    
     return(A_ocl,B_ocl)
 
 import sys
Index: ETSN/MyDFT_5.py
===================================================================
--- ETSN/MyDFT_5.py	(revision 274)
+++ ETSN/MyDFT_5.py	(revision 275)
@@ -112,6 +112,12 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    A_g.release()
+    B_g.release()    
+    
     return(A_ocl,B_ocl)
 
 # CUDA Silly complete operation
Index: ETSN/MyDFT_6.py
===================================================================
--- ETSN/MyDFT_6.py	(revision 274)
+++ ETSN/MyDFT_6.py	(revision 275)
@@ -112,6 +112,12 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
+    a_g.release()
+    b_g.release()
+    A_g.release()
+    B_g.release()
+    
     return(A_ocl,B_ocl)
 
 # CUDA Silly complete operation
Index: ETSN/MyDFT_7.py
===================================================================
--- ETSN/MyDFT_7.py	(revision 274)
+++ ETSN/MyDFT_7.py	(revision 275)
@@ -128,6 +128,7 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
     a_g.release()
     b_g.release()
     A_g.release()
Index: ETSN/MyDFT_8.py
===================================================================
--- ETSN/MyDFT_8.py	(revision 274)
+++ ETSN/MyDFT_8.py	(revision 275)
@@ -128,6 +128,7 @@
     Elapsed=time.time()-TimeIn
     print("Copy from Device 2 Host : %.3f" % Elapsed)
 
+    # Liberation of memory
     a_g.release()
     b_g.release()
     A_g.release()
